Package org.apache.batchee.tools.maven

## Class DiagramMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.batchee.tools.maven.DiagramMojo

- All Implemented Interfaces:
    `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

      @Mojo(name="diagram")
      public class DiagramMojo
      extends org.apache.maven.plugin.AbstractMojo

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `adjust` |
    `protected boolean` | `failIfMissing` |
    `protected String` | `format` |
    `protected int` | `height` |
    `protected String` | `layout` |
    `protected File` | `output` |
    `protected String` | `outputFileName` |
    `protected String` | `path` |
    `protected boolean` | `rotateEdges` |
    `protected boolean` | `view` |
    `protected int` | `width` |

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DiagramMojo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` |

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### path

          @Parameter(property="batchee.path",
                     required=true)
          protected String path

    - #### failIfMissing

          @Parameter(property="batchee.failIfMissing",
                     defaultValue="false")
          protected boolean failIfMissing

    - #### view

          @Parameter(property="batchee.viewer",
                     defaultValue="false")
          protected boolean view

    - #### width

          @Parameter(property="batchee.width",
                     defaultValue="640")
          protected int width

    - #### height

          @Parameter(property="batchee.height",
                     defaultValue="480")
          protected int height

    - #### adjust

          @Parameter(property="batchee.adjust",
                     defaultValue="false")
          protected boolean adjust

    - #### output

          @Parameter(property="batchee.outputDir",
                     defaultValue="${project.build.directory}/batchee-diagram/")
          protected File output

    - #### format

          @Parameter(property="batchee.format",
                     defaultValue="png")
          protected String format

    - #### outputFileName

          @Parameter(property="batchee.outputFileName")
          protected String outputFileName

    - #### rotateEdges

          @Parameter(property="batchee.rotateEdges",
                     defaultValue="true")
          protected boolean rotateEdges

    - #### layout

          @Parameter(property="batchee.layout",
                     defaultValue="level")
          protected String layout

  - ### Constructor Detail

    - #### DiagramMojo

          public DiagramMojo()

  - ### Method Detail

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException,
                              org.apache.maven.plugin.MojoFailureException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`
        `org.apache.maven.plugin.MojoFailureException`